all: turn_off_dhcp query_params

turn_off_dhcp: turn_off_dhcp.cpp
	arm-linux-gnueabihf-g++  -I/usr/local/include -c -o turn_off_dhcp.o turn_off_dhcp.cpp
	arm-linux-gnueabihf-g++ -L/usr/local/lib turn_off_dhcp.o  -lbvtsdk -o turn_off_dhcp
	patchelf --set-interpreter /usr/arm-linux-gnueabihf/lib/ld-linux-armhf.so.3 turn_off_dhcp

query_params: query_params.cpp
	arm-linux-gnueabihf-g++  -I/usr/local/include -c -o query_params.o query_params.cpp
	arm-linux-gnueabihf-g++ -L/usr/local/lib query_params.o  -lbvtsdk -o query_params
	patchelf --set-interpreter /usr/arm-linux-gnueabihf/lib/ld-linux-armhf.so.3 query_params
